Subject: Re: [PATCH] net: fec: stop the "rcv is not +last, " error messages

From: Troy Kisky <[email-masked]>
Date: Wed, 30 Mar 2016 10:04:20 -0700

On 3/29/2016 8:24 PM, Greg Ungerer wrote:
> Hi Troy,
> 
> Commit 55cd48c8 ('net: fec: stop the "rcv is not +last, " error
> messages') adds a write to a register that is not present in all
> implementations of the FEC hardware module. None of the ColdFire
> SoC parts with the FEC module have the FTRL (0x1b0) register.
> 
> Does this need a quirk flag to key access to this register of?
> Or can you piggyback on the FEC_QUIRK_HAS_RACC flag?
> 
> Regards
> Greg

I'm no expert on what hardware has which registers, but piggybacking
works for all the processors that I use. Let's see what Freescale
says, but would you like to submit a patch to move it inside the quirk's
"if", or do you want me to do it?